Index: testsuites/mptests/ChangeLog
===================================================================
--- testsuites/mptests/ChangeLog	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/ChangeLog	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -1,2 +1,12 @@
+2004-03-30	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* mp02/task1.c, mp03/system.h, mp03/task1.c, mp04/task1.c,
+	mp05/system.h, mp06/task1.c, mp07/task1.c, mp08/task1.c,
+	mp09/recvmsg.c, mp09/sendmsg.c, mp09/task1.c, mp10/task1.c,
+	mp11/init.c, mp12/init.c, mp13/task1.c, mp14/evtask1.c,
+	mp14/evtmtask.c, mp14/init.c, mp14/msgtask1.c, mp14/pttask1.c,
+	mp14/smtask1.c, mp14/system.h: Convert to using c99 fixed size
+	types.
+
 2004-03-25	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: testsuites/mptests/mp02/task1.c
===================================================================
--- testsuites/mptests/mp02/task1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp02/task1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -30,8 +30,8 @@
   rtems_id          tid;
   rtems_status_code status;
-  rtems_unsigned32  remote_node;
+  uint32_t    remote_node;
   rtems_id          remote_tid;
   rtems_id          test_tid;
-  rtems_unsigned32  note;
+  uint32_t    note;
 
   status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, &tid );
Index: testsuites/mptests/mp03/system.h
===================================================================
--- testsuites/mptests/mp03/system.h	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp03/system.h	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -53,5 +53,5 @@
 TEST_EXTERN rtems_name Timer_name[ 2 ];  /* array of timer names */
  
-TEST_EXTERN rtems_unsigned32  remote_node;
+TEST_EXTERN uint32_t    remote_node;
 TEST_EXTERN rtems_id          remote_tid;
  
Index: testsuites/mptests/mp03/task1.c
===================================================================
--- testsuites/mptests/mp03/task1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp03/task1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -27,5 +27,5 @@
 
 void Test_Task_Support(
-  rtems_unsigned32  node
+  uint32_t    node
 )
 {
Index: testsuites/mptests/mp04/task1.c
===================================================================
--- testsuites/mptests/mp04/task1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp04/task1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -28,5 +28,5 @@
   rtems_id            tid;
   rtems_status_code   status;
-  rtems_unsigned32    remote_node;
+  uint32_t      remote_node;
   rtems_id            remote_tid;
   rtems_task_priority previous_priority;
Index: testsuites/mptests/mp05/system.h
===================================================================
--- testsuites/mptests/mp05/system.h	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp05/system.h	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -54,10 +54,10 @@
 TEST_EXTERN volatile rtems_boolean Stop_Test;
  
-TEST_EXTERN rtems_unsigned32          remote_node;
+TEST_EXTERN uint32_t            remote_node;
 TEST_EXTERN rtems_id                  remote_tid;
 TEST_EXTERN rtems_signal_set          remote_signal;
 TEST_EXTERN rtems_signal_set          expected_signal;
-TEST_EXTERN volatile rtems_unsigned32 signal_count;
-TEST_EXTERN volatile rtems_unsigned32 signal_caught;
+TEST_EXTERN volatile uint32_t   signal_count;
+TEST_EXTERN volatile uint32_t   signal_caught;
  
 /* end of include file */
Index: testsuites/mptests/mp06/task1.c
===================================================================
--- testsuites/mptests/mp06/task1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp06/task1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -87,6 +87,6 @@
 {
   rtems_status_code status;
-  rtems_unsigned32  count;
-  rtems_unsigned32  remote_node;
+  uint32_t    count;
+  uint32_t    remote_node;
   rtems_id          remote_tid;
   rtems_event_set   event_out;
Index: testsuites/mptests/mp07/task1.c
===================================================================
--- testsuites/mptests/mp07/task1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp07/task1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -37,6 +37,6 @@
 {
   rtems_status_code status;
-  rtems_unsigned32  count;
-  rtems_unsigned32  remote_node;
+  uint32_t    count;
+  uint32_t    remote_node;
   rtems_id          remote_tid;
   rtems_event_set   event_out;
Index: testsuites/mptests/mp08/task1.c
===================================================================
--- testsuites/mptests/mp08/task1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp08/task1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -25,5 +25,5 @@
 )
 {
-  rtems_unsigned32  count;
+  uint32_t    count;
   rtems_status_code status;
 
Index: testsuites/mptests/mp09/recvmsg.c
===================================================================
--- testsuites/mptests/mp09/recvmsg.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp09/recvmsg.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -23,6 +23,6 @@
 {
  rtems_status_code status;
- rtems_unsigned32  index;
- rtems_unsigned32  size;
+ uint32_t    index;
+ uint32_t    size;
  char              receive_buffer[16];
 
Index: testsuites/mptests/mp09/sendmsg.c
===================================================================
--- testsuites/mptests/mp09/sendmsg.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp09/sendmsg.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -23,5 +23,5 @@
 {
   rtems_status_code status;
-  rtems_unsigned32  broadcast_count;
+  uint32_t    broadcast_count;
 
   puts_nocr( "rtems_message_queue_send: " );
Index: testsuites/mptests/mp09/task1.c
===================================================================
--- testsuites/mptests/mp09/task1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp09/task1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -31,6 +31,6 @@
 {
   rtems_status_code status;
-  rtems_unsigned32  count;
-  rtems_unsigned32  size;
+  uint32_t    count;
+  uint32_t    size;
   char              receive_buffer[16];
 
Index: testsuites/mptests/mp10/task1.c
===================================================================
--- testsuites/mptests/mp10/task1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp10/task1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -26,5 +26,5 @@
 {
   char              receive_buffer[16];
-  rtems_unsigned32  size;
+  uint32_t    size;
   rtems_status_code status;
 
Index: testsuites/mptests/mp11/init.c
===================================================================
--- testsuites/mptests/mp11/init.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp11/init.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -28,5 +28,5 @@
 #include "system.h"
 
-rtems_unsigned8 my_partition[0x30000] CPU_STRUCTURE_ALIGNMENT;
+uint8_t   my_partition[0x30000] CPU_STRUCTURE_ALIGNMENT;
 
 rtems_task Init(
@@ -91,5 +91,5 @@
     status = rtems_partition_create(
       1,
-      (rtems_unsigned8 *) my_partition,
+      (uint8_t   *) my_partition,
       128,
       64,
Index: testsuites/mptests/mp12/init.c
===================================================================
--- testsuites/mptests/mp12/init.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp12/init.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -30,5 +30,5 @@
 #include "system.h"
 
-rtems_unsigned8 Partition_area[ 1024 ] CPU_STRUCTURE_ALIGNMENT;
+uint8_t   Partition_area[ 1024 ] CPU_STRUCTURE_ALIGNMENT;
 
 rtems_task Init(
Index: testsuites/mptests/mp13/task1.c
===================================================================
--- testsuites/mptests/mp13/task1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp13/task1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -27,5 +27,5 @@
 {
   char              receive_buffer[16];
-  rtems_unsigned32  size;
+  uint32_t    size;
   rtems_status_code status;
 
Index: testsuites/mptests/mp14/evtask1.c
===================================================================
--- testsuites/mptests/mp14/evtask1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp14/evtask1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -29,6 +29,6 @@
 {
   rtems_status_code status;
-  rtems_unsigned32  count;
-  rtems_unsigned32  remote_node;
+  uint32_t    count;
+  uint32_t    remote_node;
   rtems_id          remote_tid;
   rtems_event_set   event_out;
Index: testsuites/mptests/mp14/evtmtask.c
===================================================================
--- testsuites/mptests/mp14/evtmtask.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp14/evtmtask.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -25,6 +25,6 @@
 )
 {
-  rtems_unsigned32  count;
-  rtems_unsigned32  previous_mode;
+  uint32_t    count;
+  uint32_t    previous_mode;
   rtems_status_code status;
   rtems_event_set   events;
Index: testsuites/mptests/mp14/init.c
===================================================================
--- testsuites/mptests/mp14/init.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp14/init.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -25,5 +25,5 @@
 #include "system.h"
 
-rtems_unsigned8 my_partition[0x30000] CPU_STRUCTURE_ALIGNMENT;
+uint8_t   my_partition[0x30000] CPU_STRUCTURE_ALIGNMENT;
 
 rtems_timer_service_routine Stop_Test_TSR(
Index: testsuites/mptests/mp14/msgtask1.c
===================================================================
--- testsuites/mptests/mp14/msgtask1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp14/msgtask1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -28,9 +28,9 @@
 {
   rtems_status_code  status;
-  rtems_unsigned32   count;
-  rtems_unsigned32   yield_count;
-  rtems_unsigned32  *buffer_count;
-  rtems_unsigned32  *overflow_count;
-  rtems_unsigned32   size;
+  uint32_t     count;
+  uint32_t     yield_count;
+  uint32_t    *buffer_count;
+  uint32_t    *overflow_count;
+  uint32_t     size;
 
   Msg_buffer[ index ][0] = 0;
@@ -79,5 +79,5 @@
       directive_failed( status, "rtems_message_queue_receive" );
 
-      if ( *buffer_count == (rtems_unsigned32)0xffffffff ) {
+      if ( *buffer_count == (uint32_t  )0xffffffff ) {
         *buffer_count    = 0;
         *overflow_count += 1;
Index: testsuites/mptests/mp14/pttask1.c
===================================================================
--- testsuites/mptests/mp14/pttask1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp14/pttask1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -27,7 +27,7 @@
 )
 {
-  rtems_unsigned32   count;
+  uint32_t     count;
   rtems_status_code  status;
-  rtems_unsigned32   yield_count;
+  uint32_t     yield_count;
   void              *buffer;
 
Index: testsuites/mptests/mp14/smtask1.c
===================================================================
--- testsuites/mptests/mp14/smtask1.c	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp14/smtask1.c	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -26,7 +26,7 @@
 )
 {
-  rtems_unsigned32  count;
+  uint32_t    count;
   rtems_status_code status;
-  rtems_unsigned32  yield_count;
+  uint32_t    yield_count;
 
   puts( "Getting SMID of semaphore" );
Index: testsuites/mptests/mp14/system.h
===================================================================
--- testsuites/mptests/mp14/system.h	(revision 7c48a2e83dc2e731a9e1a71d436d1301254c8aea)
+++ testsuites/mptests/mp14/system.h	(revision d8e681e7fbd86dc032d71c069122e92bc1f20d11)
@@ -103,5 +103,5 @@
 TEST_EXTERN rtems_name Timer_name[ 4 ];       /* event timer names */
 
-TEST_EXTERN rtems_unsigned32 Msg_buffer[ 4 ][ 4 ];
+TEST_EXTERN uint32_t   Msg_buffer[ 4 ][ 4 ];
 
 extern rtems_multiprocessing_table Multiprocessing_configuration;
